Package wx :: Class ClientDC

[frames | no frames]

## Type ClientDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
              WindowDC --+
                         |
                        ClientDC

Known Subclasses:
  `PaintDC`

A wx.ClientDC must be constructed if an application wishes to paint on the client area of a window from outside an EVT_PAINT event. This should normally be constructed as a temporary stack object; don't store a wx.ClientDC object long term.

To draw on a window from within an EVT_PAINT handler, construct a `wx.PaintDC` object.

To draw on the whole window including decorations, construct a `wx.WindowDC` object (Windows only).

Method Summary
ClientDC | ``__init__`(self, win)` Constructor.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, win)
(Constructor)

Constructor. Pass the window on which you wish to paint.

  Parameters:
    `win`
    (type=Window)

  Returns:
    ClientDC
  Overrides:
    `wx.WindowDC.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:02 2007 | http://epydoc.sf.net